Reports that a license session is actively being used
POST
/api/v1/activations/{sessionId}/check-in
const url = 'https://api.monetizeit.example/api/v1/activations/example/check-in';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monetizeit.example/api/v1/activations/example/check-inThis endpoint is used to report active usage of a license session. Regular check-ins help maintain accurate usage metrics and lease renewals. Typically called periodically by client applications while the licensed software is running.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sessionId
required
string format: uuid
The unique identifier of the license session
Responses
Section titled “ Responses ”Check-in recorded successfully
Media type application/json
User not authorized to check in this session
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Session not found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}